<%@ Register TagPrefix="telerik" TagName="Footer" Src="~/Common/Footer.ascx" %>
<%@ Register TagPrefix="telerik" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="telerik" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<%@ Register TagPrefix="sds" Namespace="Telerik.Web.SessionDS" %>

<%@ Page Language="c#" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.Grid.Integration.GridAndWindow.DefaultCS" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <telerik:HeadTag ID="Headtag1" runat="server"></telerik:HeadTag>
</head>
<body  class="BODY">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager" runat="server" />
    <telerik:Header ID="Header1" runat="server" XhtmlCompliant="false" NavigationLanguage="CS" />
    <!-- content start -->
    <div>
       <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
            <script type="text/javascript">
			function ShowEditForm(id, rowIndex)
			{
                var grid = $find("<%= RadGrid1.ClientID %>");
                
                var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();                
                grid.get_masterTableView().selectItem(rowControl, true);
                		
				window.radopen("EditFormCS.aspx?EmployeeID=" + id, "UserListDialog");
				return false; 
			}
            function ShowInsertForm()
            {
               window.radopen("EditFormCS.aspx", "UserListDialog");
               return false;
            }
			function refreshGrid(arg)
			{
			    if(!arg)
			    {
			        $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("Rebind");			        
				}
				else
				{
			        $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("RebindAndNavigate");			        
				}
			}
            </script>
        </telerik:RadCodeBlock>            
        
            <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
                <AjaxSettings>
                    <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>                  
                </AjaxSettings>
            </telerik:RadAjaxManager>
            
            <telerik:RadGrid 
                OnItemCreated="RadGrid1_ItemCreated" 
                ID="RadGrid1" 
                runat="server" 
                Skin="Vista" 
                AllowPaging="True" 
                Width="97%"  
                DataSourceID="SessionDataSource1">
                <PagerStyle Mode="NumericPages" />
                <MasterTableView 
                    AutoGenerateColumns="False" 
                    DataKeyNames="EmployeeID" 
                    Width="100%"
                    CommandItemDisplay="Top" 
                    PageSize="5">
                    <Columns>
                        <telerik:GridBoundColumn 
                            DataField="EmployeeID"  
                            HeaderText="EmployeeID"
                            ReadOnly="True" 
                            SortExpression="EmployeeID" 
                            UniqueName="EmployeeID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn 
                            DataField="FirstName" 
                            HeaderText="FirstName" 
                            SortExpression="FirstName"
                            UniqueName="FirstName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn 
                            DataField="LastName" 
                            HeaderText="LastName" 
                            SortExpression="LastName"
                            UniqueName="LastName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn 
                            DataField="Title" 
                            HeaderText="Title" 
                            SortExpression="Title"
                            UniqueName="Title">
                        </telerik:GridBoundColumn>                        
                        <telerik:GridTemplateColumn 
                            UniqueName="TemplateEditColumn">
                            <ItemTemplate>
                                <asp:HyperLink ID="EditLink" runat="server" Text="Edit"></asp:HyperLink>
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                    </Columns>
                    <CommandItemTemplate>
                        <a href="#" onclick="return ShowInsertForm();">Add New Record</a>
                    </CommandItemTemplate>
                </MasterTableView>
                <ClientSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
            
            <telerik:RadWindowManager ID="RadWindowManager1" runat="server" Skin="Vista">
                <Windows>
                    <telerik:RadWindow Skin="Vista"  ID="UserListDialog" runat="server" Title="User List Dialog" Height="400px"
                        Width="300px" Left="150px" ReloadOnShow="true" Modal="true"  />
                </Windows>
            </telerik:RadWindowManager>
            
            <sds:SessionDataSource ClearSessionOnInitialLoad="false" 
                ID="SessionDataSource1" 
                runat="server" 
                SelectCommand="SELECT [EmployeeID], [FirstName], [LastName], [Title] FROM [Employees]"
                SessionKey="Employees" 
                PrimaryKeyFields="EmployeeID"
                ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>">
            </sds:SessionDataSource>
              
        </div>
    <!-- content end   -->
    <telerik:Footer runat="server" ID="Footer1"></telerik:Footer>
    </form>
</body>
</html>
